---
updatedAt: 2026-05-27T08:02:52.000Z
agentTools:
  siteIndex: https://developer.eagleeye.com/llms.txt
  projectIndex: https://developer.eagleeye.com/eagleeye-developer/llms.txt
---

# Replace Inventory List

This API endpoint allows the calling application to update an existing Inventory List.

# OpenAPI definition

```json
{
  "x-explorer-enabled": false,
  "openapi": "3.0.3",
  "servers": [
    {
      "url": "https://resources.uk.eagleeye.com",
      "description": "UK Production."
    },
    {
      "url": "https://resources.us.eagleeye.com",
      "description": "US Production."
    },
    {
      "url": "https://resources.us2.eagleeye.com",
      "description": "US2 Production."
    },
    {
      "url": "https://resources.au.eagleeye.com",
      "description": "AU Production."
    },
    {
      "url": "https://resources.sandbox.uk.eagleeye.com",
      "description": "UK Sandbox."
    }
  ],
  "info": {
    "version": "1.67.0",
    "title": "Resource API",
    "description": "# These APIs are used for integration with the Eagle Eye AIR platform when interacting with resources."
  },
  "tags": [
    {
      "name": "Inventory List",
      "description": "API endpoints exposed in this section provide functionality to query and retrieve product information regarding Inventory Lists."
    }
  ],
  "paths": {
    "/inventoryLists/{inventoryListId}": {
      "put": {
        "summary": "Replace Inventory List",
        "operationId": "putInventoryList",
        "tags": [
          "Inventory List"
        ],
        "description": "This API endpoint allows the calling application to update an existing Inventory List.",
        "parameters": [
          {
            "$ref": "#/components/parameters/inventoryListId"
          },
          {
            "$ref": "#/components/parameters/httpAcceptEncodingRequest"
          },
          {
            "$ref": "#/components/parameters/httpConnectionRequest"
          },
          {
            "$ref": "#/components/parameters/httpContentTypeRequest"
          },
          {
            "$ref": "#/components/parameters/eesAuthenticationClientId"
          },
          {
            "$ref": "#/components/parameters/eesAuthenticationRequestHash"
          },
          {
            "$ref": "#/components/parameters/eesMessageId"
          },
          {
            "$ref": "#/components/parameters/customSubsystemId"
          },
          {
            "$ref": "#/components/parameters/customWildCard"
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/postInventoryListPayload"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/postInventoryListResponse"
          },
          "400": {
            "$ref": "#/components/responses/error400Response"
          },
          "401": {
            "$ref": "#/components/responses/error401Response"
          },
          "403": {
            "$ref": "#/components/responses/error403Response"
          },
          "404": {
            "$ref": "#/components/responses/error404Response"
          },
          "415": {
            "$ref": "#/components/responses/error415Response"
          },
          "429": {
            "$ref": "#/components/responses/error429Response"
          },
          "500": {
            "$ref": "#/components/responses/error500Response"
          },
          "503": {
            "$ref": "#/components/responses/error503Response"
          },
          "504": {
            "$ref": "#/components/responses/error504Response"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "eesAuthenticationClientId": {
        "name": "X-EES-AUTH-CLIENT-ID",
        "in": "header",
        "description": "Client ID, This will be provided by EES and is unique to the company calling the API.",
        "required": true,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "eesAuthenticationRequestHash": {
        "name": "X-EES-AUTH-HASH",
        "in": "header",
        "description": "Request Security Hash, calculated using SHA-256 function from concatenated full Request URI Path with Query String(s), Payload and Client Secret.",
        "required": true,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "eesMessageId": {
        "name": "X-EES-TRANSACTION-ID",
        "in": "header",
        "description": "Unique Reference for the API transaction within the calling company.",
        "required": false,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "inventoryListId": {
        "name": "inventoryListId",
        "in": "path",
        "required": true,
        "description": "EES AIR Inventory List ID",
        "schema": {
          "type": "string",
          "format": "string"
        },
        "allowEmptyValue": false
      },
      "httpContentTypeRequest": {
        "name": "Content-Type",
        "in": "header",
        "required": false,
        "description": "Standard HTTP header to inform EES API what type of content was passed in request payload",
        "schema": {
          "type": "string",
          "format": "string",
          "default": "application/json"
        },
        "allowEmptyValue": false
      },
      "httpAcceptEncodingRequest": {
        "name": "Accept-Encoding",
        "in": "header",
        "required": false,
        "description": "This request HTTP header advertises which content encoding (usually a compression algorithm) the calling application is able to understand. The server selects one of the proposals, use it and informs the client of its choice with the `Content-Encoding` Response header. Currently supported `gzip` and `deflate`. Please note if this request header is not present, no compression will be used.",
        "schema": {
          "type": "string",
          "format": "string",
          "default": "''",
          "enum": [
            "''",
            "'gzip'",
            "'deflate'",
            "'gzip,deflate'",
            "'deflate,gzip'"
          ]
        },
        "allowEmptyValue": true
      },
      "httpConnectionRequest": {
        "name": "Connection",
        "in": "header",
        "required": false,
        "description": "This general HTTP header controls (or rather influences) whether the network connection stays open after the current request finishes. If the sent value is `keep-alive`, the connection should stay in a special state, allowing to be reused for subsequent requests to the same server. Please note these connections will be closed after reaching timeout threshold controlled by EES server (usually after 5 seconds).",
        "schema": {
          "type": "string",
          "format": "string",
          "enum": [
            "keep-alive",
            "close"
          ],
          "default": "close"
        }
      },
      "customSubsystemId": {
        "name": "X-CUSTOM-SUBSYSTEM-ID",
        "in": "header",
        "description": "Optional header provided by the calling application for EES AIR to identify what was the external Subsystem Id / Name. Please note this header is not essential for AIR to process a Request, this header and its value will be intercepted by AIR and will show up in Wallet Event Notifications, if applicable.",
        "required": false,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "customWildCard": {
        "name": "X-CUSTOM-KEY",
        "in": "header",
        "description": "Optional header(s) provided by the calling application to EES AIR. Please note a) this header name has to follow pattern X-CUSTOM-* (i.e. X-CUSTOM-EMAIL) b) this header is not essential for AIR to process a Request, this header and its value will be intercepted by AIR and will show up in Wallet Event Notifications, if applicable.\n",
        "required": false,
        "schema": {
          "type": "string",
          "format": "string"
        }
      }
    },
    "requestBodies": {
      "postInventoryListPayload": {
        "description": "EES AIR has successfully processed a Request.",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/InventoryListEntity"
                },
                {
                  "type": "object"
                },
                {
                  "required": [
                    "productsLocationIdentifier",
                    "status",
                    "type",
                    "name",
                    "dateCreated",
                    "lastUpdated",
                    "collections",
                    "prerequisites"
                  ]
                }
              ]
            },
            "example": {
              "status": "ACTIVE",
              "type": "EXCLUDE",
              "name": "My Inventory List",
              "description": "A description of My Inventory List",
              "collections": [
                {
                  "locations": {
                    "excluded": {
                      "locationIdentifiers": [
                        "store1",
                        "store2"
                      ],
                      "locationTags": [
                        "locationTag01"
                      ]
                    }
                  },
                  "products": {
                    "excluded": {
                      "groups": {
                        "TYPE1": [
                          "G100000001",
                          "G100000002"
                        ]
                      },
                      "skus": [
                        "P200000010",
                        "P200000012"
                      ],
                      "tags": [
                        "TAG16",
                        "TAG20"
                      ]
                    }
                  }
                }
              ],
              "prerequisites": {
                "campaigns": {
                  "campaignTypes": [
                    "STANDARD_NATIONAL"
                  ]
                }
              }
            }
          }
        }
      }
    },
    "schemas": {
      "InventoryListEntity": {
        "type": "object",
        "properties": {
          "inventoryListId": {
            "type": "string",
            "format": "string",
            "nullable": false,
            "description": "The EES AIR ID of the Inventory List.",
            "readOnly": true
          },
          "productsLocationIdentifier": {
            "type": "string",
            "format": "string",
            "nullable": false,
            "description": "The Incoming Identifier of Unit containing the Inventory List products."
          },
          "type": {
            "type": "string",
            "format": "string",
            "nullable": false,
            "description": "The Type of the Inventory List.",
            "enum": [
              "EXCLUDE"
            ]
          },
          "status": {
            "type": "string",
            "format": "string",
            "nullable": false,
            "description": "The Status of the Inventory List.",
            "enum": [
              "ACTIVE",
              "SUSPENDED"
            ]
          },
          "name": {
            "type": "string",
            "format": "string",
            "description": "The Name of the Inventory List.",
            "nullable": false
          },
          "description": {
            "type": "string",
            "format": "string",
            "description": "The Description of the Inventory List.",
            "nullable": false
          },
          "dateCreated": {
            "type": "string",
            "format": "ees-datetime",
            "nullable": false,
            "description": "The Created Date-time (ATOM format) of the Inventory List.",
            "pattern": "^((((19|[2-9]\\d)(0[48]|[2468][048]|[13579][26])|(([2468][048]|[3579][26])00))\\-02\\-29|((19\\d{2}|[2-9]\\d{3})\\-((0[13578]|1[02])\\-31))|((19\\d{2}|[2-9]\\d{3})\\-(0[13-9]|1[0-2])\\-(29|30))|((19\\d{2}|[2-9]\\d{3})\\-(0[1-9]|1[0-2])\\-(0[1-9]|1[0-9]|2[0-8])))\\T([01][0-9]\\:[0-5][0-9]\\:[0-5][0-9]|2[0-3]\\:[0-5][0-9]\\:[0-5][0-9]))(\\+|\\-)([01][0-9]\\:[0-5][0-9]|2[0-3]\\:[0-5][0-9])$",
            "readOnly": true
          },
          "lastUpdated": {
            "type": "string",
            "format": "ees-datetime",
            "nullable": false,
            "description": "The Last updated Date-time (ATOM format) of the Inventory List.",
            "pattern": "^((((19|[2-9]\\d)(0[48]|[2468][048]|[13579][26])|(([2468][048]|[3579][26])00))\\-02\\-29|((19\\d{2}|[2-9]\\d{3})\\-((0[13578]|1[02])\\-31))|((19\\d{2}|[2-9]\\d{3})\\-(0[13-9]|1[0-2])\\-(29|30))|((19\\d{2}|[2-9]\\d{3})\\-(0[1-9]|1[0-2])\\-(0[1-9]|1[0-9]|2[0-8])))\\T([01][0-9]\\:[0-5][0-9]\\:[0-5][0-9]|2[0-3]\\:[0-5][0-9]\\:[0-5][0-9]))(\\+|\\-)([01][0-9]\\:[0-5][0-9]|2[0-3]\\:[0-5][0-9])$",
            "readOnly": true
          },
          "collections": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "locations": {
                  "type": "object",
                  "properties": {
                    "excluded": {
                      "type": "object",
                      "properties": {
                        "locationIdentifiers": {
                          "type": "array",
                          "description": "A list of excluded location identifiers.",
                          "items": {
                            "type": "string"
                          }
                        },
                        "locationTags": {
                          "type": "array",
                          "description": "A list of excluded location tags.",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "products": {
                  "type": "object",
                  "properties": {
                    "allRequired": {
                      "type": "boolean",
                      "format": "boolean",
                      "nullable": false,
                      "description": "Flag to indicated if all excluded restriction should be applied together.",
                      "deprecated": true
                    },
                    "excluded": {
                      "type": "object",
                      "properties": {
                        "groups": {
                          "type": "object",
                          "description": "A list of excluded product groups.",
                          "nullable": true,
                          "properties": {
                            "key1": {
                              "type": "array",
                              "items": {
                                "type": "string",
                                "format": "string"
                              }
                            },
                            "key2": {
                              "type": "array",
                              "items": {
                                "type": "string",
                                "format": "string"
                              }
                            }
                          }
                        },
                        "items": {
                          "type": "array",
                          "description": "A list of excluded product items.",
                          "items": {
                            "type": "string",
                            "format": "string"
                          }
                        },
                        "skus": {
                          "type": "array",
                          "description": "A list of excluded product SKUs.",
                          "items": {
                            "type": "string",
                            "format": "string"
                          }
                        },
                        "tags": {
                          "type": "array",
                          "description": "A list of excluded product tags.",
                          "items": {
                            "type": "string",
                            "format": "string"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "prerequisites": {
            "type": "object",
            "properties": {
              "campaigns": {
                "type": "object",
                "properties": {
                  "campaignTypes": {
                    "type": "array",
                    "description": "A list of Campaign Types this Inventory List is applied to. If empty then it applies to all Campaign Types.",
                    "items": {
                      "type": "string",
                      "format": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "example": {
          "inventoryListId": "1172",
          "productsLocationIdentifier": "4402",
          "status": "ACTIVE",
          "type": "EXCLUDE",
          "name": "My Inventory List",
          "description": "A description of My Inventory List",
          "dateCreated": "2022-01-02T09:54:43+00:00",
          "lastUpdated": "2022-03-09T13:20:17+00:00",
          "collections": [
            {
              "locations": {
                "excluded": {
                  "locationIdentifiers": [
                    "store1",
                    "store2"
                  ],
                  "locationTags": [
                    "locationTag01"
                  ]
                }
              },
              "products": {
                "excluded": {
                  "groups": {
                    "TYPE1": [
                      "G100000001",
                      "G100000002"
                    ]
                  },
                  "skus": [
                    "P200000010",
                    "P200000012"
                  ],
                  "tags": [
                    "TAG16",
                    "TAG20"
                  ]
                }
              }
            }
          ],
          "prerequisites": {
            "campaigns": {
              "campaignTypes": [
                "STANDARD_NATIONAL"
              ]
            }
          }
        }
      },
      "defaultErrorEntity": {
        "type": "object",
        "required": [
          "errorCode",
          "errorMessage"
        ],
        "properties": {
          "errorCode": {
            "type": "string",
            "format": "string",
            "description": "EES AIR Error Code",
            "example": "MPA",
            "enum": [
              "NF",
              "IR",
              "U",
              "AF",
              "CE",
              "IPR",
              "MNA",
              "MPA",
              "P",
              "AA",
              "IP",
              "IH",
              "RF"
            ]
          },
          "errorMessage": {
            "type": "string",
            "format": "string",
            "description": "Human Friendly Error Message",
            "example": "Missing Mandatory Request Parameter: `parameterName`"
          },
          "details": {
            "type": "object",
            "description": "This optional object might contain an additional details regarding this error"
          }
        },
        "x-enum": [
          {
            "errorCode": "NF",
            "errorMessage": "Not Found"
          },
          {
            "errorCode": "IR",
            "errorMessage": "Invalid Request"
          },
          {
            "errorCode": "U",
            "errorMessage": "Unknown Error"
          },
          {
            "errorCode": "AF",
            "errorMessage": "Authorisation Failed"
          },
          {
            "errorCode": "CE",
            "errorMessage": "Configuration Error"
          },
          {
            "errorCode": "IPR",
            "errorMessage": "IP Address Rejected"
          },
          {
            "errorCode": "MNA",
            "errorMessage": "Method Not Allowed"
          },
          {
            "errorCode": "MPA",
            "errorMessage": "Missing Parameter"
          },
          {
            "errorCode": "P",
            "errorMessage": "Privileges"
          },
          {
            "errorCode": "AA",
            "errorMessage": "Invalid Access to API Method"
          },
          {
            "errorCode": "IP",
            "errorMessage": "Invalid Parameter"
          },
          {
            "errorCode": "IH",
            "errorMessage": "Invalid Header set"
          },
          {
            "errorCode": "RF",
            "errorMessage": "Rollback Failure"
          }
        ]
      }
    },
    "responses": {
      "postInventoryListResponse": {
        "description": "EES AIR has successfully processed a Request.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/InventoryListEntity"
                },
                {
                  "type": "object"
                }
              ]
            },
            "example": {
              "inventoryListId": "1172",
              "status": "ACTIVE",
              "type": "EXCLUDE",
              "name": "My Inventory List",
              "description": "A description of My Inventory List",
              "dateCreated": "2022-01-02T09:54:43+00:00",
              "lastUpdated": "2022-03-09T13:20:17+00:00",
              "collections": [
                {
                  "locations": {
                    "excluded": {
                      "locationIdentifiers": [
                        "store1",
                        "store2"
                      ],
                      "locationTags": [
                        "locationTag01"
                      ]
                    }
                  },
                  "products": {
                    "excluded": {
                      "groups": {
                        "TYPE1": [
                          "G100000001",
                          "G100000002"
                        ]
                      },
                      "skus": [
                        "P200000010",
                        "P200000012"
                      ],
                      "tags": [
                        "TAG16",
                        "TAG20"
                      ]
                    }
                  }
                }
              ],
              "prerequisites": {
                "campaigns": {
                  "campaignTypes": [
                    "STANDARD_NATIONAL"
                  ]
                }
              }
            }
          }
        }
      },
      "error400Response": {
        "description": "EES AIR Refuse to process that particular Request as there is something wrong with the Request (e.g., missing Mandatory Request parameter or Mandatory Request Payload attribute is missing, Request payload cannot be processed, etc)",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "MPA",
                "errorMessage": "Missing Mandatory Request Parameter: `parameterName`"
              }
            }
          }
        }
      },
      "error401Response": {
        "description": "EES AIR Refuse to process that particular Request due to Authentication error. This could be caused by missing mandatory AUTH header(s), invalid Hash calculation, invalid or inactive API Key used, etc",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "AF",
                "errorMessage": "Authentication Failure, Please check if required AUTH headers are present in your Request and if AUTH Hash is calculated correctly"
              }
            }
          }
        }
      },
      "error403Response": {
        "description": "EES AIR Refuse to process that particular Request due to Request Authorization error(s). This indicates that used API Key has not got required permissions to perform this operation.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "P",
                "errorMessage": "You don't have appropriate Privileges to perform this operation"
              }
            }
          }
        }
      },
      "error404Response": {
        "description": "EES AIR Refuse to process that particular Request as requested/referenced resource could not be found.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "NF",
                "errorMessage": "Requested Resource (Wallet Identity Value) not found"
              }
            }
          }
        }
      },
      "error415Response": {
        "description": "EES AIR is not able to understand that request due to not supported `Content-Type` value.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "...",
                "errorMessage": "..."
              }
            }
          }
        }
      },
      "error429Response": {
        "description": "EES AIR refuses to process that particular Request as Client's API Requests Limit was exceeded.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "...",
                "errorMessage": "..."
              }
            }
          }
        }
      },
      "error500Response": {
        "description": "EES AIR refuses to process that particular Request due to Unexpected Server Error.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "U",
                "errorMessage": "Unknown Server Error"
              }
            }
          }
        }
      },
      "error503Response": {
        "description": "EES AIR refuses to process that particular Request due to Service(s) being Unavailable (i.e. Scheduled Maintenance)",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "...",
                "errorMessage": "..."
              }
            }
          }
        }
      },
      "error504Response": {
        "description": "EES AIR refuses to process that particular Request due to Networking Issues",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "...",
                "errorMessage": "..."
              }
            }
          }
        }
      }
    },
    "headers": {
      "uniquenessCheckResult": {
        "required": false,
        "description": "If Request Uniqueness checking is enabled for a Client, this Header will contain details regarding Request uniqueness check performed within EES AIR. `PASSED` means it was checked and a Request is unique, `FAILED` means check was performed and it fails, `UNABLE TO CHECK` means EES AIR was not able to perform uniqueness check.",
        "schema": {
          "type": "string",
          "format": "string",
          "nullable": false,
          "enum": [
            "PASSED",
            "FAILED",
            "UNABLE TO CHECK"
          ]
        }
      }
    }
  }
}
```